Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.validators.schema.identity
Class XPath.NodeTest

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.schema.identity.XPath.NodeTest

public static class XPath.NodeTest
extends java.lang.Object
implements java.lang.Cloneable

Node test.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Andy Clark, IBM

Field Summary
`protected StringPool` | `fStringPool` String pool.
`QName` | `name` Node qualified name.
`static short` | `NAMESPACE` Type: namespace
`static short` | `NODE` Type: node.
`static short` | `QNAME` Type: qualified name.
`short` | `type` Node test type.
`static short` | `WILDCARD` Type: wildcard.

Constructor Summary
`XPath.NodeTest(short type)` Constructs a node test of type WILDCARD or NODE.
`XPath.NodeTest(StringPool stringPool, int prefix, int uri)` Constructs a node test of type Namespace.
`XPath.NodeTest(StringPool stringPool, QName name)` Constructs a node test of type QName.
`XPath.NodeTest(XPath.NodeTest nodeTest)` Copy constructor.

Method Summary
`java.lang.Object` | `clone()` Returns a clone of this object.
`java.lang.String` | `toString()` Returns a string representation of this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### QNAME

    public static final short QNAME

  Type: qualified name.

### WILDCARD

    public static final short WILDCARD

  Type: wildcard.

### NODE

    public static final short NODE

  Type: node.

### NAMESPACE

    public static final short NAMESPACE

  Type: namespace

### fStringPool

    protected StringPool fStringPool

  String pool.

### type

    public short type

  Node test type.

### name

    public final QName name

  Node qualified name.

Constructor Detail

### XPath.NodeTest

    public XPath.NodeTest(short type)

  Constructs a node test of type WILDCARD or NODE.

### XPath.NodeTest

    public XPath.NodeTest(StringPool stringPool,
                          QName name)

  Constructs a node test of type QName.

### XPath.NodeTest

    public XPath.NodeTest(StringPool stringPool,
                          int prefix,
                          int uri)

  Constructs a node test of type Namespace.

### XPath.NodeTest

    public XPath.NodeTest(XPath.NodeTest nodeTest)

  Copy constructor.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representation of this object.

  Overrides:
    toString in class java.lang.Object

### clone

    public java.lang.Object clone()

  Returns a clone of this object.

  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference